# Exceptions

The library defines its own set of exceptions.
Throughout the whole library, these are used.
They are located in the package `de.hftstuttgart.unifiedticketing.exceptions`.

Base for all others is `UnifiedticketingException`,
which extends `RuntimeException`.
Every other custom exception extends this exception.

This provides you with the ability,
to catch a specific or all library related problems.
Both without catching exceptions of your own code,
that happen to be in the same try block.

## Possible Exceptions

- `AssertionException`
- `DeserializationException`
- `HttpRequestException`
- `HttpResponseException`
- `SerializationException`
- `UnsupportedFunctionException`
